io.netty.handler.codec.mqtt

## Class MqttTopicSubscription

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttTopicSubscription

    public final class MqttTopicSubscription
    extends Object

Contains a topic name and Qos Level. This is part of the `MqttSubscribePayload`

### Constructor Summary

Constructors
Constructor and Description
`MqttTopicSubscription(String topicFilter, MqttQoS qualityOfService)`
`MqttTopicSubscription(String topicFilter, MqttSubscriptionOption option)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttSubscriptionOption` `option()`
`MqttQoS` `qualityOfService()`
`String` `topicName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttTopicSubscription

    public MqttTopicSubscription(String topicFilter,
                                 MqttQoS qualityOfService)

#### MqttTopicSubscription

    public MqttTopicSubscription(String topicFilter,
                                 MqttSubscriptionOption option)

### Method Detail

#### topicName

    public String topicName()

#### qualityOfService

    public MqttQoS qualityOfService()

#### option

    public MqttSubscriptionOption option()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`